package eu.mhsl.minenet.minigames.util;

public class SingleExecution {
    private boolean wasExecuted = false;

    public static SingleExecution make() {
        return new SingleExecution();
    }

    public void singleRun(Runnable task) {
        if(this.wasExecuted) return;
        task.run();
        this.wasExecuted = true;
    }
}
